import { ElementRef, EventEmitter, OnChanges, OnDestroy, SimpleChanges } from "@angular/core";
import { ChartProvider, ChartView, XaxisType } from "@oneteme/jquery-core";
import * as i0 from "@angular/core";
export declare class BarChartDirective<X extends XaxisType> implements ChartView<X, number>, OnDestroy, OnChanges {
    private el;
    private ngZone;
    private readonly chartInstance;
    private _chartConfig;
    private _options;
    chartElement: ElementRef;
    type: 'bar' | 'column' | 'funnel' | 'pyramid';
    config: ChartProvider<X, number>;
    data: any[];
    canPivot: boolean;
    isLoading: boolean;
    customEvent: EventEmitter<'previous' | 'next' | 'pivot'>;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private hydrate;
    private createElement;
    private render;
    private destroy;
    private updateConfig;
    private updateData;
    private updateLoading;
    private updateType;
    private updateOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<BarChartDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BarChartDirective<any>, "[bar-chart]", never, { "type": { "alias": "type"; "required": true; }; "config": { "alias": "config"; "required": true; }; "data": { "alias": "data"; "required": true; }; "canPivot": { "alias": "canPivot"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; }, { "customEvent": "customEvent"; }, never, never, true, never>;
}
